%define url_ver %(echo %{version} | cut -d. -f1,2)

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

# fix COPR builds
%{!?_metainfodir:%global _metainfodir %{_datadir}/metainfo}

Summary:	Screen capture tool for Xfce
Name:		xfce4-screenshooter
Version:	1.10.5
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
URL:		https://docs.xfce.org/apps/screenshooter/start
Source0:	https://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires: intltool
BuildRequires: xfce4-dev-tools
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64exo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64soup-devel
BuildRequires: lib64x11-devel 
BuildRequires: lib64xext-devel
BuildRequires: lib64xfce4panel2.0-devel 
BuildRequires: lib64xfce4ui2-devel 
BuildRequires: lib64xfce4util-devel 
BuildRequires: lib64xfixes-devel
BuildRequires: lib64xi-devel 
BuildRequires: lib64xml2-devel

Provides:	xfce4-screenshooter-plugin
Requires:	xfce4-panel

%description
This application allows you to capture the entire screen,
the active window or a selected region. You can set the delay
that elapses before the screenshot is taken and the action that
will be done with the screenshot: save it to a PNG file, copy
it to the clipboard, or open it using another application.

A plugin for the Xfce panel is also available.

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -pipe -ffast-math"
export CXXFLAGS="$CXXFLAGS -pipe -ffast-math"
%configure2_5x --disable-static

%make_build

%install
rm -rf %buildroot
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

#fix name
sd "Name=Screenshot" "Name=Screenshooter" %{buildroot}/%{_datadir}/applications/xfce4-screenshooter.desktop

#fix menu category
sd "GTK;Utility;" "GTK;Utility;Graphics;" %{buildroot}/%{_datadir}/applications/xfce4-screenshooter.desktop



%files
%{_bindir}
%{_libdir}
%{_datadir}
%{_libexecdir}

%changelog
* Tue Feb 06 2024 tex - 1.10.5-1pclos2024
- new version

* Wed May 17 2023 tex - 1.10.4-1pclos2023
- new version

* Fri Jan 13 2023 tex - 1.10.3-1pclos2023
- new version

* Thu Jan 05 2023 tex - 1.10.2-1pclos2023
- new version

* Thu Dec 22 2022 tex - 1.10.1-1pclos2022
- new version

* Wed Nov 16 2022 tex - 1.10.0-1pclos2022
- new version

* Wed Aug 24 2022 tex - 1.9.11-1pclos2022
- new version

* Mon Mar 07 2022 tex - 1.9.10-1pclos2022
- new version

* Wed May 19 2021 tex - 1.9.9-1pclos2021
- new version

* Fri Dec 25 2020 tex - 1.9.8-1pclos2020
- new version 1.9.8

